﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using Microsoft.Xna.Framework;

namespace Cursed.input
{
    public abstract class Controller : Stack<IControllable>
    {

        protected Controller()
            : base()
        {

        }

        public IControllable Target
        {
            get { 
                if (this.Count == 0)
                    return null;
                return Peek();
            }
        }

        public abstract void act(GameTime time);
        public abstract void cleanup();
    }
}
