﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using Microsoft.Xna.Framework.Input;
using Microsoft.Xna.Framework;

namespace Cursed.input
{
    public class EscControl : Controller
    {
        bool escapeDown;
        public EscControl()
        {
            escapeDown = false;
        }

        public override void act(GameTime time)
        {
            bool down = Keyboard.GetState()[Keys.Escape] == KeyState.Down;

            if (down && !escapeDown)
            {
                if (Target != null)
                    Target.control(new EscapeControlInfo());
            }

            escapeDown = down;
        }

        public override void cleanup()
        {
            throw new NotImplementedException();
        }
    }
}
