﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using Microsoft.Xna.Framework;
using Cursed.gob.mob;
using Cursed.gob.mob.kob;
using Cursed.gob;

namespace Cursed.input.ai
{
    public class DruidAttacker : Controller
    {
        Demon demon;
        public DruidAttacker(Demon mob)
        {
            this.demon = mob;
        }
        public override void act(Microsoft.Xna.Framework.GameTime time)
        {

            foreach (Gob gob in demon.TouchedGobs)
            {
                if (gob is Druid)
                {
                    BasicAttackInfo info = new BasicAttackInfo();
                    info.Direction = gob.GobInfo.Loc - demon.GobInfo.Loc;
                    info.Direction.Normalize();
                    if (Target != null)
                    {
                        Target.control(info);
                    }
                }
            }

        }

        public override void cleanup()
        {

        }
    }
}
