﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using Cursed.gob.mob.kob;
using Cursed.gob.mob;
using Microsoft.Xna.Framework;
using Cursed.gob;
namespace Cursed.input.ai
{
    class SpiritAttacker : Controller
    {
        Familiar self;
        public SpiritAttacker(Familiar dmn)
        {
            self = dmn;
        }
        public override void act(GameTime time)
        {
            foreach (Gob gb in self.TouchedGobs)
            {
                if((gb is Demon) && gb.Equals(self.Goal) && ((Demon)gb).DemonInfo.Energy>-1f)
                {
                    BasicAttackInfo info  = new BasicAttackInfo();
                    info.Direction = gb.GobInfo.Loc - self.GobInfo.Loc;
                    info.Direction.Normalize();
                    if (self.DemonInfo.SpinAttack && countMarkedDemons() > 1)
                        info.Type = BasicAttackInfo.ATTACKTYPE.SPIN;
                    if (Target != null)
                    {
                        Target.control(info);
                    }
                    return;
                }
            }
        }
        private int countMarkedDemons()
        {
            int count = 0;
            foreach (Gob gb in self.TouchedGobs)
            {
                if (gb is Demon && gb != self && ((Demon)gb).DemonInfo.Energy > -1f)
                    count++;
            }
            return count;
        }
        public override void cleanup()
        {
            
        }
    }
}
