﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using Cursed.gob.tile;
using Cursed.gob.mob;
using System.Windows;

namespace Cursed.col
{
    public interface ICollider
    {
        void handleCollisions();
        void AddMob(Mob mob);
        void RemoveMob(Mob mob);
        void AddTile(Tile tile);
        void RemoveTile(Tile tile);
        ICollection<Mob> MobsInBounds(Rect bounds);
    }
}
